
//*************************************************************************************
//			SALESMAN TABLE ACCESSOR
//*************************************************************************************

class CSalesManAccessor
{
public:
	LONG m_SalesManID;
	TCHAR m_SalesManName[31];

	ULONG m_SalesManID_status; // Autonumber

BEGIN_COLUMN_MAP(CSalesManAccessor)
	COLUMN_ENTRY_STATUS(1, m_SalesManID, m_SalesManID_status)
	COLUMN_ENTRY(2, m_SalesManName)
END_COLUMN_MAP()

DEFINE_COMMAND(CSalesManAccessor, _T("SELECT SalesManID, SalesManName  FROM SalesMan"))

	void ClearRecord()
	{
		memset(this, 0, sizeof(*this));
	}
};

//*************************************************************************************
//			CUSTOMER TABLE ACCESSOR
//*************************************************************************************

class CCustomerAccessor
{
public:
	TCHAR m_Address[51];
	LONG m_CustomerID;
	TCHAR m_CustomerName[31];
	LONG m_SalesManID;

	ULONG m_CustomerID_status;	// Autonumber
	ULONG m_Address_status;		// Allows null

BEGIN_COLUMN_MAP(CCustomerAccessor)
	COLUMN_ENTRY_STATUS(1, m_CustomerID, m_CustomerID_status)
	COLUMN_ENTRY(2, m_CustomerName)
	COLUMN_ENTRY_STATUS(3, m_Address, m_Address_status)
	COLUMN_ENTRY(4, m_SalesManID)
END_COLUMN_MAP()

DEFINE_COMMAND(CCustomerAccessor, _T("SELECT CustomerID, CustomerName, Address, SalesManID FROM Customer"))

	void ClearRecord()
	{
		memset(this, 0, sizeof(*this));
	}
};

//*************************************************************************************

